%define	name	dosemu
%define	version 1.4.0.1
%define	dosver	1.0
%define	release %mkrel 4

#disable for plugins
%define _disable_ld_no_undefined 1

Summary:	DOSEMU allows you to to run DOS programs
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-1.4.0.tar.bz2
Source1:	%{name}-freedos-%{dosver}-bin.tar.bz2
Source11:	xdosemu-16x16.png
Source12:	xdosemu-32x32.png
Source13:	xdosemu-48x48.png
Patch0:         dosemu-1.4.0.1.diff
Patch1: 	dosemu-1.4.0-dexeconfig-open-O_CREAT-3params.patch
Patch2:		dosemu-1.4.0-fix-str-fmt.patch
# This patch gives a warning when dosemu is run as a user and can't access LOWMEM
# (and users can't by default, for security reasons)
# Next dosemu release should work better, with this kind of message :
#   EXPERIMENTAL: using non-zero memory base address 0x110000.
#   You can use the better-tested zero based setup using
#   sysctl -w vm.mmap_min_addr=0
#   as root, or by changing the vm.mmap_min_addr setting in
#   /etc/sysctl.conf or a file in /etc/sysctl.d/ to 0.
Patch3:		dosemu-1.4.0.1-lowmem-as-user-pb.patch
License:	GPLv2+
Url:		http://dosemu.sourceforge.net/
Group:		Emulators
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	bison flex X11-devel svgalib-devel
BuildRequires:	bdftopcf slang-devel SDL-devel
Requires:	dosimage
Exclusivearch:	%{ix86}

%description
DOSEMU is a user-level program which uses certain special features
of the Linux kernel and the 80386 processor to run MS-DOS/FreeDOS/
DR-DOS, DOS programs, and many DPMI applications in what we in the
biz call a `DOS box'.

%package -n	xdosemu
Requires:	%{name} = %{version}-%{release} dosimage
Summary:	A DOS emulator for the X Window System
Group:		Emulators

%description -n xdosemu
Xdosemu is a version of the dosemu DOS emulator that runs with the X
Window System.  Xdosemu provides VGA graphics and mouse support.

Install xdosemu if you need to run DOS programs on your system, and you'd
like to do so with the convenience of graphics support and mouse
capabilities.

%package	freedos
Summary:	A FreeDOS hdimage for dosemu, a DOS emulator, to use
Group:		Emulators
Provides:	dosimage

%description freedos
Generally, the dosemu DOS emulator requires either that your system
have some version of DOS available or that your system's partitions
were formatted and installed with DOS. If your system does not meet
either of the previous requirements, you can instead use the dosemu-
freedos package, which contains required files which will be
installed in '/usr/share/dosemu/freedos-1.0'

Install dosemu-freedos if you are installing the dosemu package
and you don't have a version of DOS available on your system,
and your system's partitions were not formatted and installed
with DOS.

%prep
%setup -q -n dosemu-1.4.0
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0

bunzip2 -c %{SOURCE1} | gzip -c > freedos.tgz

%build
%configure2_5x	--with-fdtarball=freedos.tgz \
		--with-svgalib \
		--with-x
%make

%install
%{makeinstall_std}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps
install -m644 %{SOURCE11} -D \
	%{buildroot}%{_iconsdir}/hicolor/16x16/apps/x%{name}.png
install -m644 %{SOURCE12} -D \
	%{buildroot}%{_iconsdir}/hicolor/32x32/apps/x%{name}.png
install -m644 %{SOURCE13} -D \
	%{buildroot}%{_iconsdir}/hicolor/48x48/apps/x%{name}.png

#xdg menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/xdosemu.desktop <<EOF
[Desktop Entry]
Name=Xdosemu
Comment=DOS emulator running under X
Exec=%{_bindir}/x%{name}
Icon=x%{name}
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

rm -rf %{buildroot}%{_docdir}

# move freedos to another place to fix update issue (#34837)
mv %{buildroot}%{_datadir}/%{name}/freedos \
 %{buildroot}%{_datadir}/%{name}/freedos-%{dosver}

%files
%doc doc/*
%{_bindir}/dosemu.bin
%{_bindir}/dosemu
%{_bindir}/mkfatimage
%{_bindir}/mkfatimage16
%{_bindir}/midid
%{_bindir}/dosdebug
%{_libdir}/dosemu/libplugin*.so
%{_mandir}/man1/mkfatimage16.1*
%{_mandir}/man1/dosdebug.1*
%{_mandir}/man1/dosemu.1*
%{_mandir}/man1/dosemu.bin.1*
%lang(ru) %{_mandir}/ru/man1/mkfatimage16.1*
%lang(ru) %{_mandir}/ru/man1/dosdebug.1*
%lang(ru) %{_mandir}/ru/man1/dosemu.1*
%lang(ru) %{_mandir}/ru/man1/dosemu.bin.1*
%{_datadir}/dosemu/commands
%{_datadir}/dosemu/keymap
%{_datadir}/dosemu/Xfonts
%config(noreplace) %{_sysconfdir}/dosemu.conf
%config(noreplace) %{_sysconfdir}/drives/c
%config(noreplace) %{_sysconfdir}/drives/d
%config(noreplace) %{_sysconfdir}/dosemu.users
%config(noreplace) %{_sysconfdir}/global.conf

%files -n xdosemu
%{_bindir}/xdosemu
%{_mandir}/man1/xdosemu.1*
%lang(ru) %{_mandir}/ru/man1/xdosemu.1*
%{_iconsdir}/hicolor/16x16/apps/x%{name}.png
%{_iconsdir}/hicolor/32x32/apps/x%{name}.png
%{_iconsdir}/hicolor/48x48/apps/x%{name}.png
%{_datadir}/applications/xdosemu.desktop

%files freedos
%{_datadir}/dosemu/freedos-%{dosver}
%{_datadir}/dosemu/drive_z


%changelog

* Tue Mar 06 2012 dams <dams> 1.4.0.1-4.mga2
+ Revision: 220271
- clean spec file
- imported package dosemu


* Sat Mar 27 2010 Samuel Verschelde <stormi@mandriva.org> 1.4.0.1-4mdv2010.1
+ Revision: 528294
- add explanations in the spec about the lowmem-as-user patch
- add patch to avoid segfault as user

* Sat Mar 27 2010 Samuel Verschelde <stormi@mandriva.org> 1.4.0.1-3mdv2010.1
+ Revision: 528261
- bump release
- dosemu now requires dosimage, as xdosemu already did

* Sat Feb 28 2009 Emmanuel Andry <eandry@mandriva.org> 1.4.0.1-2mdv2009.1
+ Revision: 346245
- BR SDL-devel
- update P2
- define ld_no_undefined because of plugins linking issue
- New version 1.4.0.1
- fix license
- fix build with P1
- diff P2 to fix str fmt

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 25 2007 Guillaume Bedot <littletux@mandriva.org> 1.4.0-3mdv2008.1
+ Revision: 111875
- Fixes #34837 and dosemu-freedos description.

  + Thierry Vignaud <tv@mandriva.org>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Fri Jun 01 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1.4.0-2mdv2008.0
+ Revision: 34355
- Removed old menu file, placed icons in directories following
  freedesktop.org standard.

* Wed May 23 2007 Guillaume Bedot <littletux@mandriva.org> 1.4.0-1mdv2008.0
+ Revision: 30183
- Release 1.4.0
- buildrequires
- xdg menu
- some files added


* Thu Sep 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-2mdk
- fix menu item

* Thu Aug 26 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.2-1mdk
- 1.2.2
- update freedos to b9r5

* Sat Mar 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.1-1mdk
- 1.2.1

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.0-3mdk
- buildrequires

* Wed Feb 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.0-2mdk
- compile with svgalib support

* Wed Feb 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.2.0-1mdk
- 1.2.0 (reintroduced to contrib, loosely based on the old spec and dosemu.org's;)

* Thu Jan 04 2001 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-8mdk
- xdosemu does not own %%_?iconsdir anymore

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-7mdk
- Fix gcc2.96  and various compilation problems.

* Wed Sep 20 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-6mdk
- Large icon is now transparent
- Let users at least do some things

* Fri Sep 15 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-4mdk
- More macros
- Added large icon
- fix %%post for menus

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-3mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.1-2mdk
- BMacros
- hdimage.freedos is %%config(noreplace)

* Wed Jul 05 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-5mdk
- Use new icons from LN
- Menu entry changed accordingly
- no icon for dosemu package, only for xdosemu

* Fri Apr 07 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-4mdk
- freedos doesn't depend on dosemu
- freedos provides dosimage
- Both xdosemu and dosemu require dosimage
- Doubt: is mtools a Requires or a BuildRequires ?

* Mon Apr 03 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-3mdk
- Added %%defattr for freedos

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.0.0-2mdk
- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 1.0.0-1mdk
- Version 1.0.0
- Changed group to match those of 7.1
- Build as non root
- Added menu entry for xdos
- spec file rework
- let spec-helper do its job

* Tue Dec 07 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- added _tmppath in buildroot
- build release

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.99.13 version.

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reinserting Mandrake adaptations for maintenance release.

* Mon Jun 07 1999 Dale Lovelace <dale@redhat.com>
- remove ^H's from documentation
- freedos version beta 2
- add autoexec.bat and config.sys for path
- add freedos utils
- add vim

* Wed Mar 31 1999 Preston Brown <pbrown@redhat.com>
- add dexe stuff back into package

* Fri Mar 26 1999 Preston Brown <pbrown@redhat.com>
- remove hdimage.first link on deinstallation of freedos.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Mar 17 1999 Matt Wilson <msw@redhat.com>
- fixed %%post and %%postun scripts
- version 0.99.10

* Tue Jan 12 1999 Matt Wilson <msw@redhat.com>
- version 0.99.6

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 0.98.1
- freedos has its own subpackage

* Wed Jun 24 1998 Alan Cox <alan@redhat.com>
- Wrote additional fixes for dexe overflow problem in parser.y

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>
- Applied the security fixes from Hans Lerman

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- added DOS-C kernel and FreeDos utilities

* Thu Jan 29 1998 Cristian Gafton <gafton@redhat.com>
- updated spec file to include all the available commands
- uses a buildroot
- ship mkfatimage16, which is the only binary that can create a real hdimage
  file

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to 0.66.7
- Ported to glibc

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Updated to 0.66.2.
- Removed /usr/bin/load-dosmods as we don't need emumod.o anymore

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Modify the default configuration file to use /var/lock in
  ascii format for lock files, as specified in the FSSTD/FHS.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Assume vm86plus system call does not exist.
- N.B. This should be changed in a future version with a later kernel
  that supports that system call by default.
- Install the mkhdimage program.

